"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const rootPath = path.resolve('/');
function fromStylablePath(stlPath) {
    return stlPath.replace(rootPath, '/').replace(/\\/g, '/');
}
exports.fromStylablePath = fromStylablePath;
function isImportSymbol(s) {
    return s && s._kind == 'import';
}
function normalizeImported(_import) {
    _import.from = fromStylablePath(_import.from);
    _import.fromRelative = fromStylablePath(_import.fromRelative);
    return _import;
}
function normalizeMeta(meta) {
    meta.source = fromStylablePath(meta.source);
    meta.imports.forEach(normalizeImported);
    for (let name of Object.keys(meta.mappedSymbols)) {
        const _symbol = meta.mappedSymbols[name];
        if (isImportSymbol(_symbol)) {
            normalizeImported(_symbol.import);
        }
    }
    return meta;
}
exports.normalizeMeta = normalizeMeta;
//# sourceMappingURL=stylable.js.map